version: '3'
services:
  php:
    container_name: "educacode-cli-extract-information"
    image: registry.gitlab.com/educa-code-labs/infra/educacode-php-runtime/php-dev-8.2-cli:latest
    user: "${UID}:${GID}"
    tty: true
    environment:
      - PHP_IDE_CONFIG=${PHP_IDE_CONFIG?}
    volumes:
      - '.:/application'
      - './xdebug.ini:/etc/php/8.2/cli/conf.d/10-xdebug.ini'
    extra_hosts:
      - "host.docker.internal:host-gateway"
    networks:
      - educacode-cli

networks:
  educacode-cli:
    external: true
